# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: python
  version: 3.10.13
source:
  - patches:
      - patches/0001-Win32-Change-FD_SETSIZE-from-512-to-2048.patch
      - patches/0002-Win32-distutils-Add-support-to-cygwinccompiler-for-V.patch
      - patches/0003-Support-cross-compiling-byte-code.patch
      - patches/0004-bpo-45258-search-for-isysroot-in-addition-to-sysroot.patch
      - patches/0005-runtime_library_dir_option-Use-1st-word-of-CC-as-com.patch
      - patches/0006-Win32-Do-not-download-externals.patch
      - patches/0007-Fix-find_library-so-that-it-looks-in-sys.prefix-lib-.patch
      - patches/0009-Disable-registry-lookup-unless-CONDA_PY_ALLOW_REG_PA.patch
      - patches/0010-Unvendor-openssl.patch
      - patches/0011-Unvendor-sqlite3.patch
      - patches/0012-Use-ranlib-from-env-if-env-variable-is-set.patch
      - patches/0013-Add-CondaEcosystemModifyDllSearchPath.patch
      - patches/0014-Add-d1trimfile-SRC_DIR-to-make-pdbs-more-relocatable.patch
      - patches/0015-Doing-d1trimfile.patch
      - patches/0016-cross-compile-darwin.patch
      - patches/0017-Fix-TZPATH-on-windows.patch
      - patches/0018-Make-dyld-search-work-with-SYSTEM_VERSION_COMPAT-1.patch
      - patches/0019-Fix-LDSHARED-when-CC-is-overriden-on-Linux-too.patch
      - patches/0020-Unvendor-bzip2.patch
      - patches/0021-Unvendor-libffi.patch
      - patches/0022-Unvendor-tcltk.patch
      - patches/0023-unvendor-xz.patch
      - patches/0024-unvendor-zlib.patch
      - patches/0025-Do-not-pass-g-to-GCC-when-not-Py_DEBUG.patch
    sha256: 5c88848668640d3e152b35b4536ef1c23b2ca4bd2c957ef1ecbb053f571dd3f6
    url: https://www.python.org/ftp/python/3.10.13/Python-3.10.13.tar.xz
build:
  activate_in_script: true
  detect_binary_files_with_prefix: true
  ignore_run_exports_from:
    - gxx_linux-aarch64 11.2.0.*
  no_link: null
  number: 0
  script_env:
    - CONDA_FORGE=no
    - PY_INTERP_DEBUG=no
    - PY_INTERP_LINKAGE_NATURE=static
  string: h89984f6_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - basesystem-amzn2-aarch64 10.0 5
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - filesystem-amzn2-aarch64 3.2 5
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gettext 0.21.0 h0cce8dc_1
    - glibc-amzn2-aarch64 2.26 5
    - glibc-common-amzn2-aarch64 2.26 5
    - glibc-minimal-langpack-amzn2-aarch64 2.26 5
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - icu 73.1 h419075a_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtool 2.4.6 h419075a_1009
    - libx11-amzn2-aarch64 1.6.7 5
    - libx11-common-amzn2-aarch64 1.6.7 5
    - libx11-devel-amzn2-aarch64 1.6.7 5
    - libxau-amzn2-aarch64 1.0.8 5
    - libxcb-amzn2-aarch64 1.12 5
    - libxml2 2.10.4 h045d036_1
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - pkg-config 0.29.2 h2f4d8fa_0
    - ripgrep 13.0.0 h0d8b36f_1
    - sed 4.8 hfd63f10_0
    - setup-amzn2-aarch64 2.8.71 5
    - sysroot_linux-aarch64 2.26 h4744778_14
    - system-release-amzn2-aarch64 2 5
    - tzdata-amzn2-aarch64 2020d 5
    - xorg-x11-proto-devel-amzn2-aarch64 2018.4 5
    - xz 5.4.2 h998d150_0
    - zlib 1.2.13 h998d150_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2023.08.22 hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 1.1.1v h2f4d8fa_0
    - readline 8.1.2 h2f4d8fa_1
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - xz 5.4.2 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - bzip2 >=1.0.8,<2.0a0
    - ld_impl_linux-aarch64 >=2.35.1
    - libffi >=3.4,<3.5
    - libffi >=3.4,<4.0a0
    - libgcc-ng >=11.2.0
    - libuuid >=1.41.5,<2.0a0
    - ncurses >=6.4,<7.0a0
    - openssl >=1.1.1v,<1.1.2a
    - readline >=8.1.2,<9.0a0
    - sqlite >=3.41.2,<4.0a0
    - tk >=8.6.12,<8.7.0a0
    - tzdata
    - xz >=5.4.2,<6.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - python -V
    - python3 -V
    - 2to3 -h
    - pydoc -h
    - python3-config --help
    - python -c "from zoneinfo import ZoneInfo; from datetime import datetime; dt
      = datetime(2020, 10, 31, 12, tzinfo=ZoneInfo('America/Los_Angeles')); print(dt.tzname())"
    - python -m venv test-venv
    - test-venv/bin/python -c "import ctypes"
    - python -c "import sysconfig; print(sysconfig.get_config_var('CC'))"
    - test ! -f ${PREFIX}/lib/libpython${PKG_VERSION%.*}.a
    - test ! -f ${PREFIX}/lib/libpython${PKG_VERSION%.*}.nolto.a
    - pushd tests
    - pushd distutils
    - python setup.py install -v -v
    - python -c "import foobar"
    - popd
    - pushd prefix-replacement
    - bash build-and-test.sh
    - popd
    - pushd cmake
    - cmake -GNinja -DPY_VER=3.10.13
    - popd
    - popd
    - python run_test.py
    - test -d "$PREFIX/lib/python3.1/site-packages"
    - python3.1 --version
    - python -c "from ctypes import CFUNCTYPE; CFUNCTYPE(None)(id)"
  files:
    - run_test.py
    - tests/cmake/*
    - tests/cython/*
    - tests/distutils/*
    - tests/prefix-replacement/*
  requires:
    - cmake-no-system
    - gcc_linux-aarch64 11.2.0.*
    - gxx_linux-aarch64 11.2.0.*
    - make
    - ninja-base
    - ripgrep
about:
  description: 'Python is a widely used high-level, general-purpose, interpreted,
    dynamic

    programming language. Its design philosophy emphasizes code

    readability, and its syntax allows programmers to express concepts in

    fewer lines of code than would be possible in languages such as C++ or

    Java. The language provides constructs intended to enable clear programs

    on both a small and large scale.

    '
  dev_url: https://devguide.python.org/
  doc_url: https://www.python.org/doc/versions/
  home: https://www.python.org/
  license: PSF-2.0
  license_family: PSF
  license_file: LICENSE
  license_url: https://docs.python.org/3/license.html
  summary: General purpose programming language
extra:
  copy_test_source_files: true
  feedstock-name: python
  final: true
  flow_run_id: 68f55dee-65f1-42df-8ba1-850d1bd5afcc
  recipe-maintainers:
    - isuruf
    - jakirkham
    - katietz
    - mbargull
    - mingwandroid
    - msarahan
    - ocefpaf
    - pelson
    - scopatz
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/python-feedstock.git
  sha: 0a624d2f3aafe0896b9983b687c819308c792bf4
